# Uses of Class
com.sun.jdi.InvalidTypeException

Packages that use InvalidTypeException
Package
Description
com.sun.jdi
This is the core package of the Java Debug Interface (JDI), it defines mirrors for values, types, and the target VirtualMachine itself - as well bootstrapping facilities.

## Uses of InvalidTypeException in com.sun.jdi

Methods in com.sun.jdi that throw InvalidTypeException
Modifier and Type
Method
Description
`void`
ThreadReference.`forceEarlyReturn(Value value)`
Force a method to return before it reaches a return statement.
`Value`
ClassType.`invokeMethod(ThreadReference thread, Method method, List<? extends Value> arguments, int options)`
Invokes the specified static `Method` in the target VM.
`default Value`
InterfaceType.`invokeMethod(ThreadReference thread, Method method, List<? extends Value> arguments, int options)`
Invokes the specified static `Method` in the target VM.
`Value`
ObjectReference.`invokeMethod(ThreadReference thread, Method method, List<? extends Value> arguments, int options)`
Invokes the specified `Method` on this object in the target VM.
`ObjectReference`
ClassType.`newInstance(ThreadReference thread, Method method, List<? extends Value> arguments, int options)`
Constructs a new instance of this type, using the given constructor `Method` in the target VM.
`void`
ArrayReference.`setValue(int index, Value value)`
Replaces an array component with another value.
`void`
ClassType.`setValue(Field field, Value value)`
Assigns a value to a static field.
`void`
ObjectReference.`setValue(Field field, Value value)`
Sets the value of a given instance or static field in this object.
`void`
StackFrame.`setValue(LocalVariable variable, Value value)`
Sets the `Value` of a `LocalVariable` in this frame.
`void`
ArrayReference.`setValues(int index, List<? extends Value> values, int srcIndex, int length)`
Replaces a range of array components with other values.
`void`
ArrayReference.`setValues(List<? extends Value> values)`
Replaces all array components with other values.
`void`
ThreadReference.`stop(ObjectReference throwable)`
Stops this thread with an asynchronous exception.